New metatrader 4 compatible indicators - page 101

Mladen Rakic
160095
Mladen Rakic  
flowtrader:
Hello mladen,

where do I find the Indicator with the market Information, you are using in the above right Corner?

thanks for your great work

flowtrader

flowtrader

It is the one from this post : https://www.mql5.com/en/forum/178698/page5

studbiol
100
studbiol  
mladen:
Ma angle tony does not need any changes (those are completely benign warnings)

Dear Mladen,

maybe it is a question of which build I use. My mt4 is build 646

On the picture you can see old MAAngleTony above an the one after compiling below.

Now I'm a little confused.

Files:
maangletony.png 145 kb
Mladen Rakic
160095
Mladen Rakic  
studbiol:
Dear Mladen,

maybe it is a question of which build I use. My mt4 is build 646

On the picture you can see old MAAngleTony above an the one after compiling below.

Now I'm a little confused.

This metatrader 4 is worse and worse each and every dat

Here is a version that works correctly : maangletony_nmc.mq4

The code part that was changed was not listed in warnings or errors at all - what a "great" compiler we are having now. Seems that we are going t have to check if spaces between the words are correct (kidding now, but not far from the truth)

airquest
373
airquest  

Copiling non-nmc indicators

I'm sure this has been said before : when we compile an old indicator (not nmc) with an old build of Metaeditor, the indicator will often work in new Metatrader if we copy-paste the Mq4 file AND the Ex4 compiled file. As I don't know if an old version of Metaditor has been posted somewhere, here is one for those who don't have it anymore (see links below).

IMHO, everyone should try this method before asking to convert an idicator into nmc :

1) Open Metaeditor from the download link below.

2) Import an old indicator (which doesn't compile in new Metatrader and doesn't work in new Metatrader).

3) Compile the indicator with the old build of Metaeditor.

4) Copy-paste the Mq4 file AND the Ex4 file into new Metatrader MQL4/Indicators folder.

5) Restart the new Metatrader terminal. The indicator will often work. This should work also with EA and scripts.

Links for Metaeditor 4 build 482 :

Rar file :http://www.ulozto.net/xfYtRcXu/metaeditor-4-0-0-482-rar

Zip file : MetaEditor-4.0.0.482 - Download - 4shared

name
992
name  

Not all works that way

And there is and announced that support for older builds will be canceled in summer. Coming from metatrader it means just one thing : old ex4 build with builds 509 or earlier, will not work any more. Better safe than expecting that tmetatrader will have any concern for users (they have showed how much they care about the users with all the mess they made)

airquest
373
airquest  
on my own:
Not all works that way And there is and announced that support for older builds will be canceled in summer. Coming from metatrader it means just one thing : old ex4 build with builds 509 or earlier, will not work any more. Better safe than expecting that tmetatrader will have any concern for users (they have showed how much they care about the users with all the mess they made)

Mm, shame on them, it's getting worse and worse. Where did you see this announce ?

name
992
name  
airquest:
Mm, shame on them, it's getting worse and worse. Where did you see this announce ?

It was one post by renat (one of the owners of metaquotes) at the Russian part of their forum.

studbiol
100
studbiol  

Hi programmers,

when I compile the attached indicator there will occur some warnings. My question is: Are they benign or not?

Thanks in advance

Files:
Mladen Rakic
160095
Mladen Rakic  
studbiol:
Hi programmers,

when I compile the attached indicator there will occur some warnings. My question is: Are they benign or not?

Thanks in advance

They should be, but try it out this way too : trade_plotter_1.mq4

Files:
Tomcat98
186
Tomcat98  

trade_plotter_2.mq4Hi,

That should fit.

No compiling error,

Tomcat98

Files: